¿Por qué no hay más "soporte de python" en 16.04?

17

Tengo curiosidad por saber por qué el paquete python-support ya no existe en 16.04 - es esto relacionado con el cambio de Python3 para ser el predeterminado? Además, ¿hay algún paquete que "lo requiera" que en realidad no se instale y se ejecute bien por forzando las dependencias ?

¿Hay algún peligro en que los mantenedores de paquetes simplemente eliminen "python-support" de la lista de requisitos para solucionar este problema en una actualización?

    
pregunta NoBugs 02.05.2016 - 03:20

2 respuestas

30

Tuve el mismo problema al intentar instalar cassandra el 16.04. Resuelto con:

wget http://launchpadlibrarian.net/109052632/python-support_1.0.15_all.deb
sudo dpkg -i python-support_1.0.15_all.deb

Fuente: enlace

    
respondido por el Alex Burdusel 04.08.2016 - 19:38
1

Vinculado al paquete fuente, pero el paquete python-support definitivamente existe en los repositorios binarios:

enlace

No estoy seguro de por qué no aparece en los repositorios de origen, tal vez porque es solo un script de Python que se puede ejecutar directamente, en lugar de algo que requiere compilación en un binario para ser útil.

¿Responde esto a su pregunta o necesita un paquete en los repos de "origen"?

    
respondido por el user533208 02.05.2016 - 04:15

Lea otras preguntas en las etiquetas